Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Business Components
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo
Interface Row

All Known Subinterfaces:
  Entity

All Known Implementing Classes:
  RowImpl, ViewRowImpl

public interface Row
extends AttributeList, XMLInterface

This interface provides access to table rows. This interface defines a base type for View Object and Entity rows. Customer application logic can use this interface to access database table rows independently of the implementation of the underlying row. For example, assume that a customer application is written to perform batch style inserts into a database table. This application can reference the `Row` interface for row access instead of accessing instances of `RowImpl`, `ViewRowImpl`, or `EntityImpl` directly. This design would allow changes in a row's implementation (Entity Row or View Object Row) without necessitating changes in the application logic.

In addition to providing a base type for View Object Row and Entity Row access, this interface provides tier-independent access to table rows. Consequently, customer application logic can reference the interface on both the client and middle tiers of a three-tier application. Please note that on the client tier of a three-tier application, the interface will always be implemented by a View Object Row. This interface should not be implemented by the developer.

Since:
  JDeveloper 3.0
See Also:
  `RowImpl`, `EntityImpl`, `ViewRowImpl`

Fields inherited from interface oracle.jbo.XMLInterface
`XML_OPT_ALL_ROWS, XML_OPT_ASSOC_CONSISTENT, XML_OPT_CHANGES_ONLY, XML_OPT_LIMIT_RANGE`

Method Summary
`Key` | `getKey()` Returns the row's key.
`boolean` | `isAttributeUpdateable(int index)` Tests if an attribute is updateable.
`void` | `lock()` Locks the row(s) in the source database table.
`void` | `remove()` Removes the row from the source database.
`void` | `validate()` Invokes the validation methods defined for the row's Entity Object.

Methods inherited from interface oracle.jbo.AttributeList
`getAttribute, getAttribute, getAttributeCount, getAttributeIndexOf, setAttribute, setAttribute`

Methods inherited from interface oracle.jbo.XMLInterface
`readXML, readXML, writeXML, writeXML`

Method Detail

### getKey

    public Key getKey()

  Returns the row's key.
  Returns:
    the row's Key.

### validate

    public void validate()

  Invokes the validation methods defined for the row's Entity Object.
  Throws:
    JboException - a runtime exception, if the recipient wishes the property change to be rolled back.

### lock

    public void lock()

  Locks the row(s) in the source database table.
  Throws:
    JboException - a runtime exception, if an exception occurs during access.

### remove

    public void remove()

  Removes the row from the source database.
  Throws:
    JboException - a runtime exception, if an exception occurs during access.

### isAttributeUpdateable

    public boolean isAttributeUpdateable(int index)

  Tests if an attribute is updateable.
  Parameters:
    `index` - the index of the attribute.
  Returns:
    `true` if the row is marked `UPDATEABLE`, or if the row is marked `UPDATEABLE_WHILE_NEW` and the current row is new.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Business Components
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD